> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Dedicated Deployment



## OpenAPI

````yaml /api-reference/openapi.json delete /api/v2/external/inference/stop
openapi: 3.1.0
info:
  title: Lyceum Cloud Execution API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v2/external/inference/stop:
    delete:
      tags:
        - Dedicated Inference
      summary: Delete Dedicated Deployment
      operationId: delete_dedicated_deployment_api_v2_external_inference_stop_delete
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeployStopReq'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeployStopResp'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeployStopReq:
      properties:
        deployment_id:
          type: string
          title: Deployment Id
          description: Deployment to stop
      type: object
      required:
        - deployment_id
      title: DeployStopReq
      description: Request body for DELETE /api/v2/external/inference/stop.
    DeployStopResp:
      properties:
        deployment_id:
          type: string
          title: Deployment Id
        status:
          type: string
          title: Status
          description: stopping' — stopping is in progress
      type: object
      required:
        - deployment_id
        - status
      title: DeployStopResp
      description: Response body for DELETE /api/v2/external/inference/stop.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````